org.apache.any23.servlet

## Class ServletTest

- java.lang.Object
- - org.apache.any23.servlet.ServletTest

-     public class ServletTest
      extends Object

  Test case for `Servlet` class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServletTest.TestableServlet` Test purpose servlet implementation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testContentNegotiationDefaultsToTurtle()`
    `void` | `testContentNegotiationForNTriples()`
    `void` | `testContentNegotiationForRDFXML()`
    `void` | `testContentNegotiationForTurtle()`
    `void` | `testContentNegotiationForTurtleAlias()`
    `void` | `testContentNegotiationForUnacceptableFormatReturns406()`
    `void` | `testContentNegotiationForWildcardReturnsTurtle()`
    `void` | `testCorrectBaseIRI()`
    `void` | `testDefaultBaseIRIinPOST()`
    `void` | `testGETAddsHTTPScheme()`
    `void` | `testGETIncludesQueryString()`
    `void` | `testGETInvalidIRI()`
    `void` | `testGETOnlyFormat()`
    `void` | `testGETwithFormatAndIRIinParam()`
    `void` | `testGETwithIRIinParam()`
    `void` | `testGETwithURLDecoding()`
    `void` | `testGETwithURLDecodingInParam()`
    `void` | `testGETwithURLEncoding()` This test has been disabled in order to avoid external resources dependencies
    `void` | `testGETwithURLEncodingWithFragment()` This test has been disabled in order to avoid external resources dependencies
    `void` | `testGETwithURLEncodingWithQuery()` This test has been disabled in order to avoid external resources dependencies
    `void` | `testGETWorks()`
    `void` | `testGETWrongFormat()`
    `void` | `testJSONLDResponseFormat()`
    `void` | `testJSONResponseFormat()`
    `void` | `testPOSTBodyInParamWorks()`
    `void` | `testPOSTbodyMissingFormat()`
    `void` | `testPOSTBodyWorks()`
    `void` | `testPOSTNothing()`
    `void` | `testPOSTonlyFormat()`
    `void` | `testPOSTonlyIRI()`
    `void` | `testPOSTwithContentTypeParam()`
    `void` | `testPOSTwithoutContentType()`
    `void` | `testPOSTWorks()`
    `void` | `testPOSTWorksWithParametersOnContentType()`
    `void` | `testResponseWithReport()`
    `void` | `testTriXResponseFormat()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletTest

          public ServletTest()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testGETOnlyFormat

          public void testGETOnlyFormat()
                                 throws Exception

      Throws:
        `Exception`

    - #### testGETWrongFormat

          public void testGETWrongFormat()
                                  throws Exception

      Throws:
        `Exception`

    - #### testGETInvalidIRI

          public void testGETInvalidIRI()
                                 throws Exception

      Throws:
        `Exception`

    - #### testGETWorks

          public void testGETWorks()
                            throws Exception

      Throws:
        `Exception`

    - #### testGETAddsHTTPScheme

          public void testGETAddsHTTPScheme()
                                     throws Exception

      Throws:
        `Exception`

    - #### testGETIncludesQueryString

          public void testGETIncludesQueryString()
                                          throws Exception

      Throws:
        `Exception`

    - #### testGETwithIRIinParam

          public void testGETwithIRIinParam()
                                     throws Exception

      Throws:
        `Exception`

    - #### testGETwithFormatAndIRIinParam

          public void testGETwithFormatAndIRIinParam()
                                              throws Exception

      Throws:
        `Exception`

    - #### testGETwithURLDecoding

          public void testGETwithURLDecoding()
                                      throws Exception

      Throws:
        `Exception`

    - #### testGETwithURLDecodingInParam

          public void testGETwithURLDecodingInParam()
                                             throws Exception

      Throws:
        `Exception`

    - #### testPOSTNothing

          public void testPOSTNothing()
                               throws Exception

      Throws:
        `Exception`

    - #### testPOSTWorks

          public void testPOSTWorks()
                             throws Exception

      Throws:
        `Exception`

    - #### testPOSTWorksWithParametersOnContentType

          public void testPOSTWorksWithParametersOnContentType()
                                                        throws Exception

      Throws:
        `Exception`

    - #### testPOSTBodyWorks

          public void testPOSTBodyWorks()
                                 throws Exception

      Throws:
        `Exception`

    - #### testPOSTBodyInParamWorks

          public void testPOSTBodyInParamWorks()
                                        throws Exception

      Throws:
        `Exception`

    - #### testPOSTonlyIRI

          public void testPOSTonlyIRI()
                               throws Exception

      Throws:
        `Exception`

    - #### testPOSTonlyFormat

          public void testPOSTonlyFormat()
                                  throws Exception

      Throws:
        `Exception`

    - #### testGETwithURLEncoding

          public void testGETwithURLEncoding()
                                      throws Exception

      This test has been disabled in order to avoid external resources dependencies
      Throws:
        `Exception` - if there is an error asserting test data

    - #### testGETwithURLEncodingWithQuery

          public void testGETwithURLEncodingWithQuery()
                                               throws Exception

      This test has been disabled in order to avoid external resources dependencies
      Throws:
        `Exception` - if there is an error asserting test data

    - #### testGETwithURLEncodingWithFragment

          public void testGETwithURLEncodingWithFragment()
                                                  throws Exception

      This test has been disabled in order to avoid external resources dependencies
      Throws:
        `Exception` - if there is an error asserting test data

    - #### testCorrectBaseIRI

          public void testCorrectBaseIRI()
                                  throws Exception

      Throws:
        `Exception`

    - #### testDefaultBaseIRIinPOST

          public void testDefaultBaseIRIinPOST()
                                        throws Exception

      Throws:
        `Exception`

    - #### testPOSTwithoutContentType

          public void testPOSTwithoutContentType()
                                          throws Exception

      Throws:
        `Exception`

    - #### testPOSTwithContentTypeParam

          public void testPOSTwithContentTypeParam()
                                            throws Exception

      Throws:
        `Exception`

    - #### testPOSTbodyMissingFormat

          public void testPOSTbodyMissingFormat()
                                         throws Exception

      Throws:
        `Exception`

    - #### testContentNegotiationDefaultsToTurtle

          public void testContentNegotiationDefaultsToTurtle()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testContentNegotiationForWildcardReturnsTurtle

          public void testContentNegotiationForWildcardReturnsTurtle()
                                                              throws Exception

      Throws:
        `Exception`

    - #### testContentNegotiationForUnacceptableFormatReturns406

          public void testContentNegotiationForUnacceptableFormatReturns406()
                                                                     throws Exception

      Throws:
        `Exception`

    - #### testContentNegotiationForTurtle

          public void testContentNegotiationForTurtle()
                                               throws Exception

      Throws:
        `Exception`

    - #### testContentNegotiationForTurtleAlias

          public void testContentNegotiationForTurtleAlias()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testContentNegotiationForRDFXML

          public void testContentNegotiationForRDFXML()
                                               throws Exception

      Throws:
        `Exception`

    - #### testContentNegotiationForNTriples

          public void testContentNegotiationForNTriples()
                                                 throws Exception

      Throws:
        `Exception`

    - #### testResponseWithReport

          public void testResponseWithReport()
                                      throws Exception

      Throws:
        `Exception`

    - #### testJSONResponseFormat

          public void testJSONResponseFormat()
                                      throws Exception

      Throws:
        `Exception`

    - #### testJSONLDResponseFormat

          public void testJSONLDResponseFormat()
                                        throws Exception

      Throws:
        `Exception`

    - #### testTriXResponseFormat

          public void testTriXResponseFormat()
                                      throws Exception

      Throws:
        `Exception`

Copyright © 2010–2019 The Apache Software Foundation. All rights reserved.